Bug 200673 - Anaconda AttributeError: 'module' no attribute 'probeHW'
Anaconda AttributeError: 'module' no attribute 'probeHW'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-30 10:17 EDT by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 10:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2006-07-30 10:17:37 EDT
Description of problem:
While running Anaconda on FC6T1 machine with a development package of Anaconda I
get this traceback outlined below. IT is while running Anaconda with Kadischi to
build a LiveCD from the Test host.. nothing extraordinary.

The traceback is such: 
----------------------
[kadischi] : running anaconda

Traceback (most recent call last):
  File "/usr/sbin/anaconda", line 780, in ?
    (videohw, monitorhw, mousehw, xcfg, kbd, floppyDevice) = probeHW(opts,
x_already_set)
  File "/usr/sbin/anaconda", line 468, in probeHW
    (videohw, monitorhw, mousehw) = xserver.probeHW(skipDDCProbe=skipddcprobe,
AttributeError: 'module' object has no attribute 'probeHW'
-------------------
Version-Release number of selected component (if applicable):
anaconda-11.1.0.16-1

How reproducible:
Run Anaconda with Kadischi from FC6T1 host to build a LiveCD.

Steps to Reproduce:
1. kadischi --text --kickstart=/tmp/minimal-livecd.cfg
/var/ftp/pub/fedora/development/i386/os/ -f /tmp/FEDORA-RAWHIDE.ISO
2.
3.
  
Actual results:
Traceback and a subsequent failure of Kadischi and Anaconda.

Expected results:
RAWHIDE LiveCD is built, Anaconda not trace'ing back.

Additional info:
There is no additional information at this time.
Comment 1 Chris Lumens 2006-07-31 10:14:46 EDT
You need to have rhpxl 0.25 (or later, I guess I might build yet another one
here in a day or two) for recent anacondas to work.  Fixed the requires in anaconda.

Note You need to log in before you can comment on or make changes to this bug.